Subject: bug#67003: 26.3; (elisp) Basic Char Syntax: Show octal and Unicode names as well, for chars

From: Drew Adams <[email-masked]>
Date: Thu, 9 Nov 2023 15:54:59 +0000

> > In the list of character representations shown, please:
> >
> > 1. State that the digits shown (so far) are decimal.
> 
> The very first sentence there says:
> 
>   Since characters are really integers, the printed
>   representation of a character is a decimal number.
> 
> And all the rest of the subsection shows those printed representations.

Maybe - if one interprets the rightwards double
arrow as showing the "printed representation"
and not just a result of evaluation.  But OK.

> > 2. But show also the octal digits.

> Show where and how?  And why?

Where we show the ?\ char representation, its
decimal equivalent (⇒), char name/description (in
a comment), and key description (in the comment).

IOW, where we specify these chars that have their
own, dedicated escape sequences.

Why?  Because in `General Escape Syntax' we say
that you can use octal char codes.  Why not show
the octal values for these chars here?

Why not show the hex values also, as that's what
`insert-char' accepts?  Octal (by default) for
`C-q', hex for `C-x 8 RET'.  To insert a char
that has its own escape syntax you pretty much
need to know its Unicode name or octal or hex
code.  Neither `C-q' nor `C-x 8 RET' lets you
give it `?\v' etc. as input.

`Basic Char Syntax' could also usefully say
something about where you can use escape
sequences - and that's _not_ to interactively
insert such a char.

This isn't clear at all from this topic, which
intends to tell you about basic char syntax.
The topic tells you about a basic syntax for
_reading_ chars in buffer text, but not for
inserting them.

> > 3. Show also other names, such as Unicode/ISO names.
> >    E.g., say that "vertical tab" is the char that has the ISO name
> >    <Line Tabulation> (VT).  (And still mention that it's C-k.)
> 
> The next subsection, "General Escape Syntax",
> includes this information.

Not for these specific chars that have dedicated
escape syntaxes, it doesn't.  They're specified
only in `Basic Char Syntax'.

> > IOW, give a little more info, esp. commonly
> > encountered or "official" names for such chars.
> 
> I think we already do, but you need to consider the entire section,
> not just its single subsection, which correctly starts with the
> basics, before we proceed with more advanced stuff.

I don't see that it would be bad to let users know,
here, that what we call "vertical tab" here is also
called "line tabulation".  Try inserting that char
using `insert-char' without knowing its Unicode/ISO
name or its hex value - good luck.

This is the place where we specify the chars that
have their own escape sequences.  I think it would
help to describe them more fully here - at least
give their names, and maybe the octal and hex codes.

Such info is not "advanced stuff".  It's better
info about these chars.  This node goes into other
stuff that really is "more advanced stuff" - the
complex last paragraph, for instance.

Wrt the chars that have their own, dedicated escape
syntax, IF this is the place to specify them THEN
it should also be the place to specify them better.

IMHO.